
Figure - Bug #117583
测试 Test-ST # 113421 (New): V4.0功能与专项测试

测试 Test-ST # 113422 (New): V4.0专项--AF专项--monkey测试

【AF】【EVT3】【Monkey】Monkey测试24小时，出现CRASH: com.android.settings（21）
2023-04-20 10:20 - CD TEST-方永红

Status: CLOSED Start date: 2023-04-20

Priority: Urgent Due date:

Assignee: CD TEST-方永红 % Done: 100%

Category: CD-FW Estimated time: 0.00 hour

Target version:

Need_Info: -- Found Version: FlatBuild_HH_MCE_FSE.M.D.user.01.00.C103(X103).202304190056

Resolution: FIXED Degrated: No

Severity: Critical Verified Version: FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

Reproducibility: Every time Fixed Version: 2023-04-21

Test Type: Monkey Test Root cause: 与 #117573 原因一致，已修复

Description

【执行命令】

adb shell

monkey --pkg-blacklist-file /sdcard/blacklist.txt --ignore-crashes --ignore-timeouts --ignore-security-exceptions --monitor-native-crashes

--ignore-native-crashes -s 20 --throttle 500 --pct-touch 30 --pct-motion 15 --pct-nav 15 --pct-majornav 15 --pct-syskeys 5 --pct-appswitch 10

--pct-anyevent 10 --ignore-crashes -v -v -v 172800 2>/sdcard/error.txt 1>/sdcard/info.txt

【错误信息】

// CRASH: com.android.settings (pid 28201)

// Short Msg: android.content.res.Resources$NotFoundException

// Long Msg: android.content.res.Resources$NotFoundException: Resource "com.android.settings:drawable/shape_switch_track_checked"

(7f08047e) is not a Drawable (color or path): TypedValue{t=0x1/d=0x7f08047e a=-1 r=0x7f08047e}

// Build Label: TC/figure_CN/figure:12/SKQ1.220201.001/2922:user/test-keys

// Build Changelist: 2922

// Build Time: 1681840562000

// java.lang.RuntimeException: Unable to start activity

ComponentInfo{com.android.settings/com.android.settings.Settings$RunningServicesActivity}: android.view.InflateException: Binary XML file

line #25 in com.android.settings:layout/settings_main_prefs: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs: Error

inflating class com.android.settings.widget.SettingsMainSwitchBar

//     at android.app.ActivityThread.performLaunchActivity(ActivityThread.java:3636)

//     at android.app.ActivityThread.handleLaunchActivity(ActivityThread.java:3793)

//     at android.app.servertransaction.LaunchActivityItem.execute(LaunchActivityItem.java:103)

//     at android.app.servertransaction.TransactionExecutor.executeCallbacks(TransactionExecutor.java:135)

//     at android.app.servertransaction.TransactionExecutor.execute(TransactionExecutor.java:95)

//     at android.app.ActivityThread$H.handleMessage(ActivityThread.java:2211)

//     at android.os.Handler.dispatchMessage(Handler.java:106)

//     at android.os.Looper.loopOnce(Looper.java:201)

//     at android.os.Looper.loop(Looper.java:288)

//     at android.app.ActivityThread.main(ActivityThread.java:7880)

//     at java.lang.reflect.Method.invoke(Native Method)

//     at com.android.internal.os.RuntimeInit$MethodAndArgsCaller.run(RuntimeInit.java:548)

//     at com.android.internal.os.ZygoteInit.main(ZygoteInit.java:1009)

// Caused by: android.view.InflateException: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs: Binary XML file line

#25 in com.android.settings:layout/settings_main_prefs: Error inflating class com.android.settings.widget.SettingsMainSwitchBar

// Caused by: android.view.InflateException: Binary XML file line #25 in com.android.settings:layout/settings_main_prefs: Error inflating class
com.android.settings.widget.SettingsMainSwitchBar

// Caused by: java.lang.reflect.InvocationTargetException

History

#1 - 2023-04-20 11:16 - CD FW-廖涛

- Status changed from New to ASSIGNED

- Assignee changed from CD FW-廖涛 to CD FW 曹覃刚

#2 - 2023-04-20 18:01 - CD FW 曹覃刚

- Status changed from ASSIGNED to RESOLVED

- Assignee changed from CD FW 曹覃刚 to CD TEST-方永红

- % Done changed from 0 to 100

- Resolution changed from -- to FIXED

- Degrated changed from -- to No

- Fixed Version set to 2023-04-21

- Root cause set to 与 #117573 原因一致，已修复

#3 - 2023-04-25 18:33 - CD TEST-方永红

4.25

24日版本冒烟失败，待今日跑测后更新

#4 - 2023-04-26 11:26 - CD TEST-方永红

4.26

0094版本未复现

#5 - 2023-04-27 13:57 - CD TEST-方永红

4.27

26号DB版本未复现、继续跟踪一个版本

#6 - 2023-04-28 17:29 - CD TEST-方永红

- Status changed from RESOLVED to VERIFIED

- Verified Version set to FlatBuild_HH_MCE_FSE.M.R.user.01.00.0095.C103(X103)

4.28

27日DB未复现

先关闭

#7 - 2023-04-28 17:29 - CD TEST-方永红

- Status changed from VERIFIED to CLOSED

Files

error(1).txt 2.53 MB 2023-04-20 CD TEST-方永红
tlog_sts40x190067_000135_0419175931.tar.gz 7.01 MB 2023-04-20 CD TEST-方永红
